//+------------------------------------------------------------------+
//|                                                   MACrossing.mq4 |
//|                                                             GF1D |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "GF1D"

extern int _MA1 = 16;
extern int _MA1 = 0;
extern int _MA2 = 3;
extern int _MA2 = 0;

//-------------------------------------------------------------------
#define MA1_UP    0
#define MA1_DOWN  1

//-------------------------------------------------------------------
int CurStatus;

//-------------------------------------------------------------------
int init()
{
   CurStatus = AnalyzeStatus();
   return(0);
}

//-------------------------------------------------------------------
int start()
{
   int curStat = AnalyzeStatus();
   if (curStat != CurStatus)
   {
      Alert(" ");
      CurStatus = curStat;
   }
   return(0);
}

//------------------------------------------------------------------
int AnalyzeStatus()
{
   double ma1 = iMA(Symbol(), Period(), _MA1, _MA1, MODE_SMA, PRICE_MEDIAN, 0),
      ma2 = iMA(Symbol(), Period(), _MA2, _MA2, MODE_SMA, PRICE_MEDIAN, 0);
   if (ma1 > ma2) return (MA1_UP);
   else return(MA1_DOWN);
}

